%define name smeserver-extrarepositories
%define version 0.1
%define release 12
Summary: easy configuration of extra yum repo
Name: %{name}
Version: %{version}
Release: %{release}
License: GNU GPL version 2
URL: https://wiki.koozali.org
Group: SMEserver/addon
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 9.0
AutoReqProv: no

%description
Provides configuration for external yum repository comaptible with Koozali SME Server.

%changelog
* Fri Dec 28 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-12.sme
- zoneminder needs ffmpeg from zmrepo [SME: 10539]

* Fri Dec 28 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-11.sme
- zmrepo url has changed [SME: 10675]

* Fri Nov 30 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-7.sme
- Add libreswan repo  [SME: 10605]
- remove duplicate remi-safe entry

* Mon Jun 25 2018 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-6.sme
- Update reetp URL  [SME: 10604]

* Tue May 08 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-5.sme
- add elrepo-kernel repo  [SME: 10581]

* Sun Mar 18 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-4.sme
- exclude ffmpeg-2.6.4 and celt-0.11 from zmrepo [SME: 10543]
- add Sogo4 repo + migrate to exclude gnustep from epel if sogo repo present 

* Sun Feb 18 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-3.sme
- fix wrong escape sequence for $basearch and $releasever [SME: 10239]

* Thu Feb 15 2018 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-2.sme
- first multipackage version
- gpg keys not included

* Mon May 01 2017 Jean-Philipe Pialasse <tests@pialasse.com> 0.1-1.sme
- initial release

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
# if needing to add a gpg key
mkdir -p $RPM_BUILD_ROOT/usr/share/rpm-gpg-keys/

# if needing to add a gpg key
#cp %source0 $RPM_BUILD_ROOT/usr/share/rpm-gpg-keys/ 
#/usr/share/rpm-gpg-keys/RPM-GPG-KEY-${REPO['reponame']}

# if needing to migrate something :
#mkdir -p $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/migrate
#echo "" >$RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/migrate/00REPONAMEmigrate

# if needed to force something
#mkdir -p $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/force/${REPO['reponame']}
#echo "${REPO['Exclude']}" >\
#        $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/force/${REPO['reponame']}/Exclude



declare -A REPO

function createrepo {
mkdir -p $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}
echo "${REPO['EnableGroups']}" > $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/EnableGroups
echo "${REPO['GPGCheck']}" > $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/GPGCheck
echo "${REPO['fullreponame']}" > $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/Name
echo "${REPO['Visible']}" > $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/Visible
echo "${REPO['status']}"  > $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/status
echo "repository" > $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/type
[[ "${REPO['BaseURL']}" != '' ]]  &&       echo "${REPO['BaseURL']}" >\
                $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/BaseURL
[[ "${REPO['GPGKey']}" != '' ]]  &&       echo "${REPO['GPGKey']}" >\
                $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/GPGKey
[[ "${REPO['MirrorList']}" != '' ]]  &&       echo "${REPO['MirrorList']}"       >\
                $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/MirrorList
[[ "${REPO['Exclude']}" != '' ]]  &&       echo "${REPO['Exclude']}"  >\
                $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/Exclude
[[ "${REPO['IncludePkgs']}" != '' ]]  &&       echo "${REPO['IncludePkgs']}"   >\
                $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/defaults/${REPO['reponame']}/IncludePkgs
return 0
}



######################
#####################
# asterisk 13 LTS
#####################
#####################
REPO['reponame']='asterisk-13'
REPO['fullreponame']='Asterisk-13 - EL'
REPO['EnableGroups']='yes'
REPO['GPGCheck']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']='http://packages.asterisk.org/centos/$releasever/asterisk-13/$basearch/'
REPO['MirrorList']=''
REPO['GPGKey']=''
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

######################
#####################
# asterisk current
#####################
#####################
REPO['reponame']='asterisk-current'
REPO['fullreponame']='Asterisk-current - EL'
REPO['EnableGroups']='yes'
REPO['GPGCheck']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']='http://packages.asterisk.org/centos$releasever/current/$basearch/'
REPO['MirrorList']=''
REPO['GPGKey']=''
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
# Digium Repo
#####################
#####################
REPO['reponame']='digium'
REPO['fullreponame']='Digium packages - EL'
REPO['EnableGroups']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']='http://packages.digium.com/centos/$releasever/current/$basearch/'
REPO['MirrorList']=''
REPO['GPGCheck']='no'
REPO['GPGKey']=''
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
# Digium 13
#####################
#####################
REPO['reponame']='digium-13'
REPO['fullreponame']='Digium-13 packages - EL'
REPO['EnableGroups']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']='http://packages.digium.com/centos/$releasever/digium-13/$basearch/'
REPO['MirrorList']=''
REPO['GPGCheck']='no'
REPO['GPGKey']=''
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
#atomic
#####################
#####################
REPO['reponame']='atomic'
REPO['fullreponame']='Atomic'
REPO['EnableGroups']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']=''
REPO['MirrorList']='http://www.atomicorp.com/mirrorlist/atomic/centos-$releasever-$basearch'
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://www.atomicorp.com/RPM-GPG-KEY.art.txt'
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
#centos-sclo-centos
#####################
#####################
REPO['reponame']='centos-sclo-centos'
REPO['fullreponame']='Centos-RH Software collections'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://mirror.centos.org/centos/$releasever/sclo/$basearch/sclo/'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://www.centos.org/keys/RPM-GPG-KEY-CentOS-SIG-SCLo'
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
#centos-sclo-rh
#####################
#####################
REPO['reponame']='centos-sclo-rh'
REPO['fullreponame']='Centos-RH Software collections'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://mirror.centos.org/centos/$releasever/sclo/$basearch/rh/'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://www.centos.org/keys/RPM-GPG-KEY-CentOS-SIG-SCLo'
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
#egroupware
#####################
#####################
REPO['reponame']='egroupware'
REPO['fullreponame']='server_eGroupWare'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://download.opensuse.org/repositories/server:/eGroupWare/CentOS_$releasever/'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://download.opensuse.org/repositories/server:/eGroupWare/CentOS_$releasever/repodata/repomd.xml.key'
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
#elastic
#####################
#####################
declare -A elashort=( ['6.x']='6.x' ['5.x']='5.x' ['1.6']='1' )
for elasver  in "6.x" "5.x" "1.6"; do 
REPO['reponame']="elastic${elashort[$elasver]}"
REPO['fullreponame']="Elasticsearch repository for $elasver packages"
REPO['EnableGroups']='yes'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']="https://artifacts.elastic.co/packages/$elasver/yum"
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://artifacts.elastic.co/GPG-KEY-elasticsearch'
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo
done

#####################
#####################
#ELRepo
#####################
#####################
REPO['reponame']='elrepo'
REPO['fullreponame']='ELRepo.org Community Enterprise Linux Repository'
REPO['EnableGroups']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']='http://elrepo.org/linux/elrepo/el$releasever/$basearch'
REPO['MirrorList']='http://elrepo.org/mirrors-elrepo.el$releasever'
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://elrepo.org/RPM-GPG-KEY-elrepo.org'
REPO['Exclude']='clamav,spamassassin,libselinux,perl-HTML-Parser,lm_sensors,perl-IO-stringy,perl-XML-Parser,razor-agents,libgcrypt,rpm-python,libxml2,zlib,gnupg,libxml2-python,yum,module-init-tools,rpm,gettext,librpm4,glib2,perl-libwww-perl,perl-Convert-ASN1,beecrypt,fetchmail,libacl,libtool-ltdl,popt,libgpg-error,freetype,perl-MIME-tools,mutt,gd,perl-TimeDate,librpm4.4'
REPO['IncludePkgs']=''
createrepo

#####################
#####################
#ELRepo kernel
#####################
#####################
REPO['reponame']='elrepo-kernel'
REPO['fullreponame']='ELRepo.org Community Enterprise Linux Repository Kernel'
REPO['EnableGroups']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']='http://elrepo.org/linux/kernel/el$releasever/$basearch'
REPO['MirrorList']='http://elrepo.org/mirrors-elrepo-kernel.el$releasever'
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://elrepo.org/RPM-GPG-KEY-elrepo.org'
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
#EPEL
#####################
#####################
REPO['reponame']='epel'
REPO['fullreponame']='EPEL'
REPO['EnableGroups']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']='http://download.fedoraproject.org/pub/epel/$releasever/$basearch'
REPO['MirrorList']='http://mirrors.fedoraproject.org/mirrorlist?repo=epel-$releasever&arch=$basearch'
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://dl.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL'
REPO['Exclude']='perl-Razor-Agent'
REPO['IncludePkgs']=''
createrepo

#####################
#####################
#erlang
#####################
#####################
REPO['reponame']='erlang'
REPO['fullreponame']='erlang programming language'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://packages.erlang-solutions.com/rpm/centos/$releasever/$basearch'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://packages.erlang-solutions.com/rpm/erlang_solutions.asc'
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
#freeswitch
#####################
#####################
REPO['reponame']='freeswitch'
REPO['fullreponame']='Freeswitch'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://files.freeswitch.org/yum/$releasever/$basearch'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='file:///etc/pki/rpm-gpg/RPM-GPG-KEY-FREESWITCH'
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
#firewall Service
#####################
#####################
REPO['reponame']='fws'
REPO['fullreponame']='Firewall Services'
REPO['EnableGroups']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']='http://repo.firewall-services.com/centos/$releasever'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://repo.firewall-services.com/RPM-GPG-KEY'
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
#firewall Service testing
#####################
#####################
REPO['reponame']='fws-testing'
REPO['fullreponame']='Firewall Services testing'
REPO['EnableGroups']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']='http://repo.firewall-services.com/centos-testing/$releasever'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://repo.firewall-services.com/RPM-GPG-KEY'
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
# Geekery  (last update 2016-09-25)
#####################
#####################
REPO['reponame']='geekery'
REPO['fullreponame']='geekery repository'
REPO['EnableGroups']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']=''
REPO['MirrorList']='http://geekery.epac.to/geekery/el$releasever-mirrors'
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://geekery.altervista.org/download.php?filename=GEEKERY-GPG-KEY'
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo 

#####################
#####################
# Libreswan
#####################
#####################
REPO['reponame']='libreswan'
REPO['fullreponame']='Libreswan'
REPO['EnableGroups']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']='http://download.libreswan.org/binaries/rhel/6/x86_64/'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://download.libreswan.org/binaries/RPM-GPG-KEY-libreswan'
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo 


if  ( "%{?dist}"  == "el7" ); then
#####################
#####################
# Odoo10-nightly
#####################
#####################
REPO['reponame']='odoo10-nightly'
REPO['fullreponame']='Odoo 10 Nightly - EL7'
REPO['EnableGroups']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']='http://nightly.odoo.com/10.0/nightly/rpm/'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://nightly.odoo.com/odoo.key'
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
# Odoo9-nightly
#####################
#####################
REPO['reponame']='odoo9-nightly'
REPO['fullreponame']='Odoo 9 Nightly - EL7'
REPO['EnableGroups']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']='http://nightly.odoo.com/9.0/nightly/rpm/'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://nightly.odoo.com/odoo.key'
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo
fi

#####################
#####################
# Okay
#####################
#####################
REPO['reponame']='okay'
REPO['fullreponame']='Extra OKay Packages for Enterprise Linux - Freeswitch and FusionPBX'
REPO['EnableGroups']='no'
REPO['Visible']='no'
REPO['status']='disabled'
REPO['BaseURL']='http://repo.okay.com.mx/centos/$releasever/$basearch/release'
REPO['MirrorList']=''
REPO['GPGCheck']='no'
REPO['GPGKey']=''
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
# Openfusion
#####################
#####################
REPO['reponame']='openfusion'
REPO['fullreponame']='Openfusion'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://repo.openfusion.net/centos$releasever-$basearch'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://repo.openfusion.net/RPM-GPG-KEY-openfusion'
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
# Reetspetit
#####################
#####################
REPO['reponame']='reetp'
REPO['fullreponame']='Mirror John Crisp reetspetit.com'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='https://www.reetspetit.com/smeserver/$releasever'
REPO['MirrorList']=''
REPO['GPGCheck']='no'
REPO['GPGKey']='https://www.reetspetit.com/RPM-GPG-KEY'
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
#remi-safe
#####################
#####################
REPO['reponame']='remi-safe'
REPO['fullreponame']='Remi - safe'
REPO['EnableGroups']='no'
REPO['GPGCheck']='yes'
REPO['Visible']='yes'
REPO['status']='enabled'
REPO['BaseURL']='http://rpms.famillecollet.com/enterprise/$releasever/safe/$basearch/'
REPO['MirrorList']=''
REPO['GPGKey']='http://rpms.famillecollet.com/RPM-GPG-KEY-remi'
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
#remi
#####################
#####################
REPO['reponame']='remi'
REPO['fullreponame']='Remi - EL unsafe, will conflict with your base rpms'
REPO['EnableGroups']='no'
REPO['GPGCheck']='yes'
REPO['Visible']='no'
REPO['status']='enabled'
REPO['BaseURL']='http://rpms.famillecollet.com/enterprise/$releasever/remi/$basearch/'
REPO['MirrorList']=''
REPO['GPGKey']='http://rpms.famillecollet.com/RPM-GPG-KEY-remi'
REPO['Exclude']='mysql*,php-*,phpMyAdmin'
REPO['IncludePkgs']=''
createrepo

#####################
#####################
#remi-ocsinventory
#####################
#####################
REPO['reponame']='remi-ocsinventory'
REPO['fullreponame']='Remi ocsinventory - EL'
REPO['EnableGroups']='no'
REPO['GPGCheck']='yes'
REPO['Visible']='yes'
REPO['status']='enabled'
REPO['BaseURL']='http://rpms.famillecollet.com/enterprise/$releasever/remi/$basearch/'
REPO['MirrorList']=''
REPO['GPGKey']='http://rpms.famillecollet.com/RPM-GPG-KEY-remi'
REPO['Exclude']=''
REPO['IncludePkgs']='ocsinventory* perl-Ocsinventory-Agent'
createrepo

#####################
#####################
#remi-ocsinventory
#####################
#####################
REPO['reponame']='remi-roundcube'
REPO['fullreponame']='Remi Roundcube - EL'
REPO['EnableGroups']='no'
REPO['GPGCheck']='yes'
REPO['Visible']='yes'
REPO['status']='enabled'
REPO['BaseURL']='http://rpms.famillecollet.com/enterprise/$releasever/remi/$basearch/'
REPO['MirrorList']=''
REPO['GPGKey']='http://rpms.famillecollet.com/RPM-GPG-KEY-remi'
REPO['Exclude']=''
REPO['IncludePkgs']='php-kolab-net-ldap3,php-pear-Mail-mimeDecode,php-pear-Net-IDNA2,php-pear-Net-LDAP2,roundcubemail'
createrepo


#####################
#####################
#rpmfusion
#####################
#####################
REPO['reponame']='rpmfusion'
REPO['fullreponame']='rpmfusion free EL'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://download1.rpmfusion.org/free/el/updates/$releasever/$basearch/'
REPO['MirrorList']='http://mirrors.rpmfusion.org/mirrorlist?repo=free-el-updates-released-$releasever&arch=$basearch'
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://rpmfusion.org/keys?action=AttachFile&do=get&target=RPM-GPG-KEY-rpmfusion-free-el-$releasever'
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
#rpmfusion
#####################
#####################
REPO['reponame']='rpmfusion-nonfree'
REPO['fullreponame']='rpmfusion nonfree EL'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://download1.rpmfusion.org/nonfree/el/updates/$releasever/$basearch/'
REPO['MirrorList']='http://mirrors.rpmfusion.org/mirrorlist?repo=nonfree-el-updates-released-$releasever&arch=$basearch'
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://rpmfusion.org/keys?action=AttachFile&do=get&target=RPM-GPG-KEY-rpmfusion-nonfree-el-$releasever'
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
#Sogo nightly
#####################
#####################
REPO['reponame']='sogo'
REPO['fullreponame']='Inverse SOGo 2 Repository'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://packages.inverse.ca/SOGo/nightly/2/rhel/$releasever/$basearch'
REPO['MirrorList']=''
REPO['GPGCheck']='no'
REPO['GPGKey']=''
REPO['Exclude']=''
REPO['IncludePkgs']='gnustep-base,gnustep-make,libmemcached,libwbxml,sogo*,sope49*'
createrepo

#####################
#####################
#Sogo3 nightly
#####################
#####################
REPO['reponame']='sogo3'
REPO['fullreponame']='Inverse SOGo 3 Repository'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://packages.inverse.ca/SOGo/nightly/3/rhel/$releasever/$basearch'
REPO['MirrorList']=''
REPO['GPGCheck']='no'
REPO['GPGKey']=''
REPO['Exclude']=''
REPO['IncludePkgs']='gnustep-base,gnustep-make,libmemcached,libwbxml,sogo*,sope49*'
createrepo

#####################
#####################
#Sogo4 nightly
#####################
#####################
REPO['reponame']='sogo4'
REPO['fullreponame']='Inverse SOGo 4 Repository'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://packages.inverse.ca/SOGo/nightly/4/rhel/$releasever/$basearch'
REPO['MirrorList']=''
REPO['GPGCheck']='no'
REPO['GPGKey']=''
REPO['Exclude']=''
REPO['IncludePkgs']='gnustep-base,gnustep-make,libmemcached,libwbxml,sogo*,sope49*'
createrepo

#####################
#####################
#Sogo stable
#####################
#####################
REPO['reponame']='sogo-subscription'
REPO['fullreponame']='Inverse SOGo Repository only with subscription'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://packages.inverse.ca/download/SOGo/RHEL$releasever/$basearch'
REPO['MirrorList']=''
REPO['GPGCheck']='no'
REPO['GPGKey']=''
REPO['Exclude']=''
REPO['IncludePkgs']='gnustep-base,gnustep-make,libmemcached,libwbxml,sogo*,sope49*'
createrepo

#####################
#####################
#Spectrum2
#####################
#####################
REPO['reponame']='spectrum2'
REPO['fullreponame']='Spectrum2'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://copr-be.cloud.fedoraproject.org/results/mcepl/spectrum2/epel-$releasever-$basearch'
REPO['MirrorList']=''
REPO['GPGCheck']='no'
REPO['GPGKey']=''
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
#stephDL
#####################
#####################
REPO['reponame']='stephdl'
REPO['fullreponame']='Mirror Stephane de Labrusse'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://mirror.de-labrusse.fr/smeserver/$releasever'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='http://mirror.de-labrusse.fr/RPM-GPG-KEY'
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
#VirtualBox
#####################
#####################
REPO['reponame']='virtualbox'
REPO['fullreponame']='RHEL/CentOS VirtualBox'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://download.virtualbox.org/virtualbox/rpm/el/$releasever/$basearch'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']='https://www.virtualbox.org/download/oracle_vbox.asc'
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
#Webtatic
#####################
#####################
REPO['reponame']='webtatic'
REPO['fullreponame']='webtatic - EL'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']=''
REPO['MirrorList']='http://mirror.webtatic.com/yum/el-$releasever/$basearch/mirrolist'
REPO['GPGCheck']='yes'
if  ( "%{?dist}"  == "el5" ); then
REPO['GPGKey']='http://repo.webtatic.com/yum/RPM-GPG-KEY-webtatic-andy'
else
REPO['GPGKey']="http://repo.webtatic.com/yum/RPM-GPG-KEY-webtatic-%{?dist}"
fi
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
#Xymon
#####################
#####################
REPO['reponame']='xymon'
REPO['fullreponame']='Xymon Terabithia RPMS - EL'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://terabithia.org/rpms/xymon/el$releasever/'
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']="http://terabithia.org/rpms/RPM-GPG-KEY-JCLEAVER"
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo

#####################
#####################
#Zabbix2.4
#####################
#####################
declare -A zabshort=( ['2.4']='24' ['2.5']='25' ['3.0']='30' ['3.1']='31' ['3.2']='32' ['3.4']='35' ['3.5']='35')
for elasver  in "2.4" "2.5" "3.0"; do
REPO['reponame']="zabbix${zabshort[$elasver]}"
REPO['fullreponame']="Zabbix $elasver Official Repository"
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']="http://repo.zabbix.com/zabbix/$elasver/rhel/\$releasever/\$basearch/"
REPO['MirrorList']=''
REPO['GPGCheck']='yes'
REPO['GPGKey']="http://repo.zabbix.com/RPM-GPG-KEY-ZABBIX"
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo
done

#####################
#####################
#zmrepo
#####################
#####################
REPO['reponame']='zmrepo'
REPO['fullreponame']='ZoneMinder Repo - EL'
REPO['EnableGroups']='no'
REPO['Visible']='yes'
REPO['status']='disabled'
REPO['BaseURL']='http://zmrepo.zoneminder.com/el/$releasever/$basearch'
REPO['MirrorList']=''
REPO['GPGCheck']='no'
REPO['GPGKey']=""
REPO['Exclude']=''
REPO['IncludePkgs']=''
createrepo


#####################################################
# migrates
######################################################
mkdir -p $RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/migrate
cat << 'EOF'  >$RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/migrate/90sogo
{
    my @add = split(/[,; ]+/, 'gnustep-*');
    my %remove = map { $_ => 1 } split(/[,; ]+/, '');

    for my $name ( qw(epel) )
    {
        my $repo = $DB->get($name) or next;

        my @exclude = split(/,/, $repo->prop('Exclude') || '');
        push @exclude, @add;
        @exclude = grep(!defined $remove{$_} && !/^CENTOS_/, @exclude);

        # remove duplicates
        undef %saw;
        @exclude = grep(!$saw{$_}++, @exclude);

        if ($#exclude >= 0)
        {
            $repo->set_prop('Exclude', join(',', @exclude));
        }
        else
        {
            $repo->delete('Exclude');
        }
    }
}

EOF


cat << 'EOF'  >$RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/migrate/10epel
{
    my @add = split(/[,; ]+/, '');
    my %remove = map { $_ => 1 } split(/[,; ]+/, 'gnustep-*,gnustep*,gnustep-base,gnustep-make');

    for my $name ( qw(epel) )
    {
        my $repo = $DB->get($name) or next;

        my @exclude = split(/,/, $repo->prop('Exclude') || '');
        push @exclude, @add;
        @exclude = grep(!defined $remove{$_} && !/^CENTOS_/, @exclude);

        # remove duplicates
        undef %saw;
        @exclude = grep(!$saw{$_}++, @exclude);

        if ($#exclude >= 0)
        {
            $repo->set_prop('Exclude', join(',', @exclude));
        }
        else
        {
            $repo->delete('Exclude');
        }
    }
}

EOF

cat << 'EOF'  >$RPM_BUILD_ROOT/etc/e-smith/db/yum_repositories/migrate/10zmrepo
{
    for my $name ( qw(zmrepo) )
    {
        my $repo = $DB->get($name) or next;
	my $BaseURL = $repo->prop('BaseURL') || '';
	$BaseURL = s/zmrepo.mehvc.com/zmrepo.zoneminder.com/g;
	$repo->set_prop('Exclude', join(',', @exclude));
    }

}

EOF





##########################################################

rm -f %{name}-%{version}-filelist*
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT 			> %{name}-%{version}-filelist
cat %{name}-%{version}-filelist| grep atomic			> %{name}-%{version}-filelist-atomic
cat %{name}-%{version}-filelist| grep centos-sclo		> %{name}-%{version}-filelist-centos-sclo
cat %{name}-%{version}-filelist| egrep 'digium|asterisk'   	> %{name}-%{version}-filelist-asterisk 
cat %{name}-%{version}-filelist| grep egroupware 		> %{name}-%{version}-filelist-egroupware
cat %{name}-%{version}-filelist| grep elastic			> %{name}-%{version}-filelist-elastic
cat %{name}-%{version}-filelist| grep elrepo			> %{name}-%{version}-filelist-elrepo
cat %{name}-%{version}-filelist| grep epel			> %{name}-%{version}-filelist-epel
cat %{name}-%{version}-filelist| grep erlang			> %{name}-%{version}-filelist-erlang
cat %{name}-%{version}-filelist| grep freeswitch		> %{name}-%{version}-filelist-freeswitch
cat %{name}-%{version}-filelist| grep fws			> %{name}-%{version}-filelist-fws
cat %{name}-%{version}-filelist| grep geekery			> %{name}-%{version}-filelist-geekery
cat %{name}-%{version}-filelist| grep libreswan			> %{name}-%{version}-filelist-libreswan
if  ( "%{?dist}"  == "el7" ); then
cat %{name}-%{version}-filelist| grep odoo			> %{name}-%{version}-filelist-odoo
fi
cat %{name}-%{version}-filelist| grep okay			> %{name}-%{version}-filelist-okay
cat %{name}-%{version}-filelist| grep openfusion		> %{name}-%{version}-filelist-openfusion
cat %{name}-%{version}-filelist| grep reetp			> %{name}-%{version}-filelist-reetp
cat %{name}-%{version}-filelist| grep remi-safe			> %{name}-%{version}-filelist-remi-safe
cat %{name}-%{version}-filelist| grep remi-ocsinventory         > %{name}-%{version}-filelist-remi-ocsinventory
cat %{name}-%{version}-filelist| grep remi-roundcube            > %{name}-%{version}-filelist-remi-roundcube
cat %{name}-%{version}-filelist| grep remi|egrep -v 'safe|ocsinventory|roundcube'	> %{name}-%{version}-filelist-remi
cat %{name}-%{version}-filelist| grep rpmfusion			> %{name}-%{version}-filelist-rpmfusion
cat %{name}-%{version}-filelist| grep sogo			> %{name}-%{version}-filelist-sogo
cat %{name}-%{version}-filelist| grep spectrum2			> %{name}-%{version}-filelist-spectrum2
cat %{name}-%{version}-filelist| grep stephdl			> %{name}-%{version}-filelist-stephdl
cat %{name}-%{version}-filelist| grep virtualbox		> %{name}-%{version}-filelist-virtualbox
cat %{name}-%{version}-filelist| grep webtatic			> %{name}-%{version}-filelist-webtatic
cat %{name}-%{version}-filelist| grep xymon			> %{name}-%{version}-filelist-xymon
cat %{name}-%{version}-filelist| grep zabbix			> %{name}-%{version}-filelist-zabbix
cat %{name}-%{version}-filelist| grep zmrepo			> %{name}-%{version}-filelist-zmrepo

%clean
cd ..
rm -rf %{name}-%{version}


#%files -f %{name}-%{version}-filelist
%files 
%defattr(-,root,root)

%pre

%preun

%post

%postun
case "$1" in

	0)
		# this is an uninstallation
	;;

	1)
		# this is an upgrade
	;;
esac
%package atomic
Summary: Atomic Repository
%description atomic
Atomic Repository
%files atomic -f  %{name}-%{version}-filelist-atomic
%defattr(-,root,root)

%package centos-sclo
Summary: CentOS Red-Hat software collection repository
%description centos-sclo
CentOS Red-Hat software collection repository only for  x86_64 arch
%files centos-sclo -f  %{name}-%{version}-filelist-centos-sclo
%defattr(-,root,root) 

%package asterisk
Summary: All repositories you need for Asterisk and FreePBX
%description asterisk
All repositories you need for Asterisk and FreePBX
%files asterisk -f  %{name}-%{version}-filelist-asterisk
%defattr(-,root,root)

%package egroupware
Summary: Repository for eGroupWare
%description egroupware
Repository for eGroupWare
%files egroupware -f  %{name}-%{version}-filelist-egroupware
%defattr(-,root,root)

%package elastic
Summary: Repositories for elastic search
%description elastic
Repositories for elastic search
%files elastic -f  %{name}-%{version}-filelist-elastic
%defattr(-,root,root)

%package elrepo
Summary: ElRepo.org Community Enterprise Linux Repository
%description elrepo
ElRepo.org Community Enterprise Linux Repository
%files elrepo -f  %{name}-%{version}-filelist-elrepo
%defattr(-,root,root)

%package epel
Summary: Fedora EPEL Repository
%description epel
Fedora EPEL Repository
%files epel -f  %{name}-%{version}-filelist-epel
%defattr(-,root,root)

%package erlang
Summary: Erlang Repository 
%description erlang
Erlang is a programming language. It is specifically used for ejabberd. 
%files erlang -f  %{name}-%{version}-filelist-erlang
%defattr(-,root,root)

%package freeswitch
Summary: Freeswitch Repository
%description freeswitch
FreeSWITCH is a scalable open source cross-platform telephony platform designed to route and interconnect popular communication protocols using audio, video, text or any other form of media. It was created in 2006 to fill the void left by proprietary commercial solutions. FreeSWITCH also provides a stable telephony platform on which many applications can be developed using a wide range of free tools
%files freeswitch -f  %{name}-%{version}-filelist-freeswitch
%defattr(-,root,root)

%package fws
Summary: Firewall Services repository
%description fws
Firewall Services repository
%files fws -f  %{name}-%{version}-filelist-fws
%defattr(-,root,root)

%package geekery
Summary: Geekery Repository
%description geekery
Geekery Repository
%files geekery -f  %{name}-%{version}-filelist-geekery
%defattr(-,root,root)

%package libreswan
Summary: Libreswan Repository
%description libreswan
Geekery Repository
%files libreswan -f  %{name}-%{version}-filelist-libreswan
%defattr(-,root,root)

%package odoo
Summary: Odoo 10 Nightly - EL7 Repository
Distribution: el7
%description odoo
Odoo 10 Nightly - EL7 Repository
# comment as not available for centos 6 SME9
#%files odoo -f  %{name}-%{version}-filelist-odoo
#%defattr(-,root,root)

%package okay
Summary: Extra OKay Packages for Enterprise Linux
%description okay
Extra OKay Packages for Enterprise Linux - Freeswitch and FusionPBX
%files okay -f  %{name}-%{version}-filelist-okay
%defattr(-,root,root)

%package openfusion
Summary: Openfusion Repository
%description openfusion
Openfusion Repository
%files openfusion -f  %{name}-%{version}-filelist-openfusion
%defattr(-,root,root)

%package reetp
Summary: Mirror John Crisp reetspetit.com
%description reetp
Mirror John Crisp reetspetit.com
%files reetp -f  %{name}-%{version}-filelist-reetp
%defattr(-,root,root)

%package remi-safe
Summary: Remi safe repository
%description remi-safe
Remi safe repository
%files remi-safe -f  %{name}-%{version}-filelist-remi-safe
%defattr(-,root,root)

%package remi-ocsinventory
Summary: Remi repository filtered to install OCSinventory
%description remi-ocsinventory
Remi repository filtered to install OCSinventory
%files remi-ocsinventory -f  %{name}-%{version}-filelist-remi-ocsinventory
%defattr(-,root,root)

%package remi-roundcube
Summary: Remi repository filtered to install Roundcube
%description remi-roundcube
Remi repository filtered to install Roundcube
%files remi-roundcube -f  %{name}-%{version}-filelist-remi-roundcube
%defattr(-,root,root)

%package remi-unsafe
Summary: Remi unsafe repository
%description remi-unsafe
Remi unsafe repository. We call it unsafe, not because of the work, but because it can conflict with base rpm of your favorite distro. Use it at your own risk if you are able to handle the situation.
%files remi-unsafe -f  %{name}-%{version}-filelist-remi
%defattr(-,root,root)

%package rpmfusion
Summary: RPMFusion repositories
%description rpmfusion
RPMFusion repositories
%files rpmfusion -f  %{name}-%{version}-filelist-rpmfusion
%defattr(-,root,root)

%package sogo
Summary: SOGo repositories
%description sogo
SOGo repositories
%files sogo -f  %{name}-%{version}-filelist-sogo
%defattr(-,root,root)

%package spectrum2
Summary: Spectrum2 Repository
%description spectrum2
Spectrum2 Repository
%files spectrum2 -f  %{name}-%{version}-filelist-spectrum2
%defattr(-,root,root)

%package stephdl
Summary: Stephane De Labrusse Repository
%description stephdl
Stephane De Labrusse Repository
%files stephdl -f  %{name}-%{version}-filelist-stephdl
%defattr(-,root,root)

%package virtualbox
Summary: Virtualbox Repository
%description virtualbox
Virtualbox Repository
%files virtualbox -f  %{name}-%{version}-filelist-virtualbox
%defattr(-,root,root)

%package webtatic
Summary: Webtatic Repository
%description webtatic
Webtatic Repository
%files webtatic -f  %{name}-%{version}-filelist-webtatic
%defattr(-,root,root)

%package xymon
Summary: Xymon Terabithia Repository
%description xymon
Xymon Terabithia Repository
%files xymon -f  %{name}-%{version}-filelist-xymon
%defattr(-,root,root)

%package zabbix
Summary: Zabbix official Repository
%description zabbix
Zabbix official Repository
%files zabbix -f  %{name}-%{version}-filelist-zabbix
%defattr(-,root,root)

%package zmrepo
Summary: Zone Minder Repository
%description zmrepo
Zone Minder Repository
%files zmrepo -f  %{name}-%{version}-filelist-zmrepo
%defattr(-,root,root)



